Description

History

#1 - 10/12/2014 03:07 AM - Luke Murphey

- Status changed from New to In Progress

#2 - 10/12/2014 06:06 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

#3 - 10/13/2014 06:37 AM - Luke Murphey

- Status changed from Closed to In Progress

- % Done changed from 100 to 60

Seems like I'm only getting acknowledgements at the current time.

#4 - 10/13/2014 06:48 AM - Luke Murphey

The issue might be in run() where it checks to see if the first byte is 0x02. Not sure why it does that though. Does the modem not pass on all

messages?

I might just need to move the callback up further in the call stack.

#5 - 10/13/2014 07:05 PM - Luke Murphey

Apparently, the messages are preceded with an Insteon Command Code.

1. run():

1. gets the first byte and verifies it is a modem command

2. uses the second byte to determine the modem command and response size

2. Calls associated callback

I'm not sure how the second byte can be used to identify extended messages because this appears to be the first part of the from address.

#6 - 10/13/2014 11:27 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 60 to 100
This seems to be working. It appears as if the PLM doesn't include its own requests in the feed. Other device requests do show up though.

Powered by TCPDF (www.tcpdf.org)

05/06/2024 2/2

http://www.tcpdf.org

